using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {				
		   CategoryBuilder.Create("<color=orange>Quality Control-Tactical", "<color=green>Mod meant for the <color=red>1f Crusaders<color=green> who'll complain about stuff being too high-quality. Mods take time, man.", ModAPI.LoadSprite("icon.png"));
///////////////////////////////////////////////////////////////////////////////////// US ARMY ////////////////////////////////////////////////////////////////////////////////////////////////
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "<color=green>Royce",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "'You have been *smacks lips* detained.' Bro looks like a shadow comp. dude.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C1.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("Sprites/Contractor Graves.png");
	                    var flesh = ModAPI.LoadTexture("8f_flesh.png");
	                    var bone = ModAPI.LoadTexture("8f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 8);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "<color=green>Sanderson",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "'Shut up YOU FEMBOY!!!' He can ball.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C2.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("Sprites/Contractor MARPAT.png");
	                    var flesh = ModAPI.LoadTexture("8f_flesh.png");
	                    var bone = ModAPI.LoadTexture("8f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 8);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "<color=green>Riley",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "'Bro? Doughnut? Doughnut? Bronut?' New Dog Model",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C3.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("Sprites/Contractor BLK-FLECK.png");
	                    var flesh = ModAPI.LoadTexture("8f_flesh.png");
	                    var bone = ModAPI.LoadTexture("8f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 8);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "<color=green>Archer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "'I AM A POLE! I AM A POLE!' I'm pretty sure he balls too.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C4.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("Sprites/Contractor Wz.png");
	                    var flesh = ModAPI.LoadTexture("8f_flesh.png");
	                    var bone = ModAPI.LoadTexture("8f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 8);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "<color=green>November",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "'Suppress those FCS bastards!' This was originally going to be in another mod, but oh well.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C5.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("Sprites/HORSETAC/flannel dude.png");
	                    var flesh = ModAPI.LoadTexture("8f_flesh.png");
	                    var bone = ModAPI.LoadTexture("8f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 8);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "<color=green>Crosby",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The guy from Black Ops II!!!1!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C6.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("Sprites/Crosby.png");
	                    var flesh = ModAPI.LoadTexture("8f_flesh.png");
	                    var bone = ModAPI.LoadTexture("8f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 8);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "<color=green>Sergeant Ramirez",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "'If I see them first, they're in trouble. If they see me first, I'm dead. It kind of reminds me of recess that way.' Was originally going to be in the Ghost Recon mod... until that got cancelled.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/GR1.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("Sprites/Ghost Recon/Rifleman.png");
	                    var flesh = ModAPI.LoadTexture("8f_flesh.png");
	                    var bone = ModAPI.LoadTexture("8f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 8);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "<color=green>Sergeant Ramirez (Rolled Sleeves)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "'If I see them first, they're in trouble. If they see me first, I'm dead. It kind of reminds me of recess that way.' Was originally going to be in the Ghost Recon mod... until that got cancelled.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/GR1.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("Sprites/Ghost Recon/Rifleman Roll.png");
	                    var flesh = ModAPI.LoadTexture("8f_flesh.png");
	                    var bone = ModAPI.LoadTexture("8f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 8);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "<color=green>Private Daniels",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Was originally going to be in the Ghost Recon mod... until that got cancelled.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/GR2.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("Sprites/Ghost Recon/Rifleman EDRL.png");
	                    var flesh = ModAPI.LoadTexture("8f_flesh.png");
	                    var bone = ModAPI.LoadTexture("8f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 8);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "<color=green>Julius Baller",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "'Stop talking about BALLER!'",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C7.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("Sprites/baller fleece.png");
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png");
	                    var bone = ModAPI.LoadTexture("6f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 6);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>1st Special Forces Command (Airborne) Patch",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Was originally going to be in the Ghost Recon mod... until that got cancelled. Placement may be wrong.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/GhostPatch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/Ghost Patch.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "<color=green>Standard Water Glass",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/WaterGlass.png", 50f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/WaterGlass.png", 50f); //file and scale
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Baseball Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "For the operatives that want less weight on their neck while looking cool.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Baseball Cap.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Baseball Cap.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "<color=green>Bowman EVO III Headset",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A tactical headset popular with contractors.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Bowman EVO III Headset.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Bowman EVO III Headset.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Horse-Tactical 3-Day Assault Rucksack",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tactical rucksack.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/rucksack.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rucksack.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "<color=green>Garmin Foretrex 601",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Wrist-mounted GPS navigator with smart notifications.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Garmin GPS.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Garmin GPS.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Horse-Tactical Lightweight Chestrig (TOP)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tactical plate carrier.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/LBT-1961H-330D TOP.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Horse-Tactical Lightweight Chestrig (BOTTOM)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tactical plate carrier.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/LBT-1961H-330D BOTTOM.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Quick Release Plate Carrier (TOP)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tactical plate carrier.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/YAKEDA Top.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 50f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Quick Release Plate Carrier (BOTTOM)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tactical plate carrier.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/YAKEDA Bottom.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 50f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Horse-Tactical Quick Release Rucksack",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tactical rucksack.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/YAKEDA Top Rucksack.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical 2-Panel STANAG Pouches",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Pouches.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/YAKEDA Bottom STANAG2.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 50f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical 3-Panel STANAG Pouches",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Pouches.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/YAKEDA Bottom STANAG3.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 50f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical 1-Panel Sidebag",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Pouches.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/YAKEDA Bottom SideBag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 50f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Radio Pouch",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Pouch.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/YAKEDA Bottom Radio.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 50f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Wire-Holder... or cuffs or zipties, I dunno",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Wires.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/YAKEDA Bottom Wires.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 50f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical QRPC Belt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Belt",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/YAKEDA.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/YAKEDA Bottom Compaion Belt.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 50f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Special Tactics Belt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Belt",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Belt.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Belt.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Special Tactics Belt Leg Rig",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Leg-Rig",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Belt.png", 24f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Belt LegRig.png", 24f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Shooters' Tactical Glasses",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Oakley-lookin.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Shooters Glasses.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Shooters Glasses.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Crye Precision AirFrame Ballistic.",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A very lightweight helmet produced by Crye Precision. An armor-tier lower than the FAST Maritime because... I dunno.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Crye AirFrame.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Crye AirFrame.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Crye Precision AirFrame Chops",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Ballistic chops for the AirFrame.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Crye AirFrame Chops.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Crye AirFrame Chops.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 20f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core FAST Maritime",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Future Assault Shell Technology (FAST) helmet, specifically the Maritime version meant for international deployments. Has a double-strap... chin strap and rails, along with two velcro patch-slots.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core FAST Maritime (MultiCam Cover)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Future Assault Shell Technology (FAST) helmet, specifically the Maritime version meant for international deployments. Has a double-strap... chin strap and rails, along with two velcro patch-slots.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime MC.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core FAST Maritime (MARPAT)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Future Assault Shell Technology (FAST) helmet, specifically the Maritime version meant for international deployments. Has a double-strap... chin strap and rails, along with two velcro patch-slots.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime MP.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core FAST Maritime (M81 Woodland)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Future Assault Shell Technology (FAST) helmet, specifically the Maritime version meant for international deployments. Has a double-strap... chin strap and rails, along with two velcro patch-slots.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime M81.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core FAST Maritime (MM-14 Digital Universal)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Future Assault Shell Technology (FAST) helmet, specifically the Maritime version meant for international deployments. Has a double-strap... chin strap and rails, along with two velcro patch-slots. Requested by my Ukrainian friend Safmarine.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime MM-14.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core FAST Maritime (M/90)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Future Assault Shell Technology (FAST) helmet, specifically the Maritime version meant for international deployments. Has a double-strap... chin strap and rails, along with two velcro patch-slots. Requested by my friend Solid Snake.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime M90.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core FAST Maritime (Wz. 93 Pantera Type 02)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Future Assault Shell Technology (FAST) helmet, specifically the Maritime version meant for international deployments. Has a double-strap... chin strap and rails, along with two velcro patch-slots. Requested by my friend Alex.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Wz. 98.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core FAST Maritime (Flecktarn)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Future Assault Shell Technology (FAST) helmet, specifically the Maritime version meant for international deployments. Has a double-strap... chin strap and rails, along with two velcro patch-slots. Requested by my close friend Pax.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Fleck.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Advanced Combat Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Advanced Combat Helmet. It has a M81 Woodland cover, Rhino mount, double-chin strap and it protects well.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/PASGT Helmet.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/Advanced Combat Helmet.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Personnel Armor System for Ground Troops Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A PASGT helmet. It has a Rhino mount, double-chin strap and it protects well.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/PASGT Helmet.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/PASGT Helmet Grey.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Personnel Armor System for Ground Troops Helmet (M81 Cover)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A PASGT helmet. It has a Rhino mount, double-chin strap and it protects well.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/PASGT Helmet.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/PASGT Helmet Strap.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Personnel Armor System for Ground Troops Helmet (M81 Cover, Land Warrior)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A PASGT helmet. It has a Rhino mount, double-chin strap and it protects well.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/PASGT Helmet.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/PASGT Land Warrior.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>PREDATOR Helmet-Borne Ghille",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A helmet-borne ghille. (for the FAST Maritime)",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Ghillie.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Ghillie.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core Gunsight Mandible",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A face-shield meant to protect you from fragments and pistol shots. May protect you from rifle shots too, but I doubt it.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Gunsight Mandible.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Gunsight Mandible.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 20f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core Gunsight Mandible (MultiCam Cover)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A face-shield meant to protect you from fragments and pistol shots. May protect you from rifle shots too, but I doubt it.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Gunsight Mandible.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Gunsight Mandible MC.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 20f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core Gunsight Mandible (MARPAT Cover)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A face-shield meant to protect you from fragments and pistol shots. May protect you from rifle shots too, but I doubt it.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Gunsight Mandible.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Gunsight Mandible MP.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 20f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "<color=green>Core AMP Communications Headset",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A rail-mounted headset meant for long-distance communications. Very ergonomic and has 3D Hear-Through Technology.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime AMP.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime AMP.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core Side Armor",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A pair of rail-mounted side armor pieces meant to protect the ears and the side of the head that instantly kills you when hit. Yes, normal high-cut helmets don't protect that spot AND I DON'T KNOW WHY1!!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime EarArmor.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime EarArmor.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 20f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core Raid Visor",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A glass visor meant to protect you from fragments and pistol-grade bullets. May protect against rifle rounds but I'm unsure about that too. Glass is bulletproof, don't worry.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime RaidVisor.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime RaidVisor.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Rail-Mounted Ballistic Goggles (RMBG)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Rail-mounted goggles meant for the Ops-Core FAST series of helmets. PUT THIS ON THE MARITIME FOR GOD'S SAKE, PLEASE!!!!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Goggles.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Goggles.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Rail-Mounted Ballistic Goggles (RMBG) (Orange Tint)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Rail-mounted goggles meant for the Ops-Core FAST series of helmets. PUT THIS ON THE MARITIME FOR GOD'S SAKE, PLEASE!!!!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Goggles.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime GogglesORG.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Military-Grade Night Vision Goggles",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Some third-generation night vision for your Ops-Core Maritime. I SWEAR TO GOD IF YOU DON'T PUT THIS ON A MARITIME I'M SENDING THE HORSE TO YOUR LOCATION! He is on standby, watch your back.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime NVG.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime NVG.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Wilcox G30 Mount System",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Some third-generation night vision arm. I SWEAR TO GOD IF YOU DON'T PUT THIS ON A MARITIME I'M SENDING THE HORSE TO YOUR LOCATION! He is on standby, watch your back.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime NVG Arm.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime NVG Arm.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Camera on a Wilcox G30 Mount System",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A camera on some third-generation night vision arm. I SWEAR TO GOD IF YOU DON'T PUT THIS ON A MARITIME I'M SENDING THE HORSE TO YOUR LOCATION! He is on standby, watch your back.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Camera.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Camera.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ruggedized Night Vision Goggles",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Some third-generation night vision for your Ops-Core Maritime. I SWEAR TO GOD IF YOU DON'T PUT THIS ON A MARITIME I'M SENDING THE HORSE TO YOUR LOCATION! He is on standby, watch your back.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime NVG.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ruggedized Night Division Goggles.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Ops-Core Counterweight",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Counterweight for when you run your Ops-Core Maritime with some night vision. Now listen, it may seem contrary to put counter-weight on your helmet when your neck can only hold so much, but do you want your helmet tilting on your head very slightly?",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Counterweight.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Counterweight.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Counterweight",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Best counter-weight on the market. It creates balance when you have night vision, but ALSO HOLDS BATTERIES! Like, how cool is that!?!?!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Counterweight.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Counterweight2.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Horse-Tactical Counterweight (MARPAT)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Best counter-weight on the market. It creates balance when you have night vision, but ALSO HOLDS BATTERIES! Like, how cool is that!?!?!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Counterweight.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Counterweight2 MP.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "<color=green>Agilite Maritime Counterweight (FOR THE OPS-CORE1!)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Battery Pack/Counter-Weight from your favorite roof-knockers: the Israelis!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime Counterweight.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Counterweight3.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Horse-Tactical Sand-Stopper",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Prevents sand from getting on your neck and into the back collar of your shirt. For real I hate when that happens.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime WarmUpThing.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime WarmUpThing.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (United States of America)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "O say can you see, by the dawn's early light, What so proudly we hailed at the twilight's last gleaming, Whose broad stripes and bright stars through the perilous fight, O'er the ramparts we watched, were so gallantly streaming? And the rocket's red glare, the bombs bursting in air, Gave proof through the night that our flag was still there; O say does that star-spangled banner yet wave O'er the land of the free and the home of the brave?",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime PatchUS.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (United States of America, First-Responder)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "O say can you see, by the dawn's early light, What so proudly we hailed at the twilight's last gleaming, Whose broad stripes and bright stars through the perilous fight, O'er the ramparts we watched, were so gallantly streaming? And the rocket's red glare, the bombs bursting in air, Gave proof through the night that our flag was still there; O say does that star-spangled banner yet wave O'er the land of the free and the home of the brave?",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime PatchUSB.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (Gadsden)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Dont tread on me",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime PatchGadsen.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (In God We Trust)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "<color=orange>If God is for us, who can be against us?",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime PatchInGod.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (Polish Hussar)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "<color=orange>I AM A POLE! I AM A POLE!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime PatchHussar.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (Virginia State Flag)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Gun-runners have to look cool too!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime PatchVirginia.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (Texas State Flag)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Gun-runners have to look cool too!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime PatchTexas.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (Horse)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Gun-runners have to look cool too!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime PatchHorse.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (Wrong Place, Wrong Time Pal!)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Gun-runners have to look cool too!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime PatchTaunt.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (Blackbeard)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "<color=white>The skeleton holds an hourglass to signify that the time of those about to be boarded is coming to an end. <color=red>The bleeding heart warns of the death which will come if any resistance is met.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime PatchBlackBeard.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Patch (3nd Noob Division)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patch.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime Patch3nd.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "<color=green>Stealth P3 (R) Half Mask Respirator",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "You know bullets have lead and you can get lead poisoning from shooting? That's why you always shoot outside or in a well-vented space... or just get this Respirator and look cooler.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Stealth P3 (R) Half Mask Respirator.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Stealth P3 (R) Half Mask Respirator.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "<color=green>Horse-Tactical Location-Strobe (LOCSTORBE)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "I suggest using nightvision with these.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime IR Strobe.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime IR Strobe.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "<color=green>Horse-Tactical Goggle Covers",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Very flexible!",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Ops-Core FAST Maritime GoggleCover.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ops-Core FAST Maritime GoggleCover.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Helmet-Borne Scarf",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Mr. Steal Yo Girl",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/HeadScarf.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HeadScarf.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Balaclava",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "I mean, you can hide your face I guess.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/HeadMask.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HeadMask.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Face-Mask",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "I mean, you can hide your face I guess.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/HeadMaskHalf.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HeadMaskHalf.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>PHLster Skeleton Holster",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "13 rounds in the magazine, 1 or 2 rounds to put you to rest.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/PHLster Skeleton Holster.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/PHLster Skeleton Holster.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>PHLster Skeleton Holster (Glock 19)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "13 rounds in the magazine, 1 or 2 rounds to put you to rest.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/PHLster Skeleton Holster GLK.png", 20f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/PHLster Skeleton Holster GLK.png", 20f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Česká Republika)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Czechia Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Suomen Tasavalta)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "We are Savotta and we make military gear.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Finland Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Bundesrepublik Deutschland)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch German Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Poblacht na hÉireann)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Ireland Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Repubrikin Naoero)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Nauru Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Nederland)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Netherland Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Rzeczpospolita Polska)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Poland Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (România)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Romania Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Rossiya)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Russia Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Daehan Minguk)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch SKorea Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Konungariket Sverige)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Sweden Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Zhōnghuá Mínguó)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Taiwan Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Ukraïna)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Ukraine Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (United States of America)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch US Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Repúblika Demokrátika de Timór-Leste)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch East Timor.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Florida)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Florida.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (République Française)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch France.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Republik Indonesia)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Indonesia.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Greater Manchester)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Manchester.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Konungariket Sverige)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Patch Sweden Flag.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (MARSOC Marine Raiders Patch)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "<color=blue>Always Faithful, Always Forward",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Marine Raiders Patch.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Imperial Kornilov Regiment, Grey)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The inaccurate one in terms of color.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Imperial Kornilov Regiment patch.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "<color=green>Arm-Borne Patch (Imperial Kornilov Regiment, Blue)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The ACCURATE one in terms of color.",
                    CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/patches/Patch.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patches/Imperial Kornilov Regiment patch acc.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>Battle Rifle Company (BRC) 9mm AR-15 Pistol",
                   DescriptionOverride = "A 9mm AR-15 pistol or carbine, I dunno which.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/Battle Rifle Company 9mm AR-Pistol.png", 15f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Battle Rifle Company 9mm AR-Pistol.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "9mm Parabellum";
                     customCartridge.Damage *= 3f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/ar.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>FB Radom Beryl M762",
                   DescriptionOverride = "Polish assault rifle.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/FB Radom Beryl M762.png", 12f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/FB Radom Beryl M762.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "5.56x45mm NATO";
                     customCartridge.Damage *= 15f;
                     customCartridge.Recoil *= 0.3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/ar.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>Gevär M/41B",
                   DescriptionOverride = "Swedish rifle based off the Gewehr 98. Has a optical scope.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/Gevar M-41B.png", 12f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Gevar M-41B.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "Mauzer Round";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>Gevär M/41B (Tactical I guess)",
                   DescriptionOverride = "Swedish rifle based off the Gewehr 98. Has a optical scope with a red-dot ontop, stock pad and tape for friction. Wasn't intended to be in the mod but oh well.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/Gevar M-41B.png", 12f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Gevar M-41B Tactical.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "Mauzer Round";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                 NameOverride = "<color=green>CMMG MkGs Banshee 300",
                   DescriptionOverride = "A tactical PDW.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/CMMG MkGs Banshee 300.png", 20f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CMMG MkGs Banshee 300.png", 20f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "9mm Parabellum";
                     customCartridge.Damage *= 3f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/ar.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                 NameOverride = "<color=green>Noveske Rifleworks Gen. 4 N4-PDW",
                   DescriptionOverride = "A tactical PDW.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/Noveske Gen. 4 N4-PDW.png", 22f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Noveske Gen. 4 N4-PDW.png", 22f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "9mm Parabellum";
                     customCartridge.Damage *= 3f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/ar.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "<color=green>SIG Sauer P320 Compact",
                   DescriptionOverride = "A tactical pistol. Was going to be in another mod.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/SIG Sauer P320 Compact FDE.png", 50f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SIG Sauer P320 Compact FDE.png", 50f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "9mm Parabellum";
                     customCartridge.Damage *= 3f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/pistol.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>M16A2",
                   DescriptionOverride = "American rifle that is a improvement of the M16A1. It's actually just a M16A4 receiver with M16A2 parts.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/M16A2.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/M16A2.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "Mauzer Round";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>M16A2 (Colt Sight)",
                   DescriptionOverride = "American rifle that is a improvement of the M16A1. It's actually just a M16A4 receiver with M16A2 parts.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/M16A2 Sight.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/M16A2 Sight.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "Mauzer Round";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>M16A2 (Tactical)",
                   DescriptionOverride = "American rifle that is a improvement of the M16A1. It's actually just a M16A4 receiver with M16A2 parts.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/M16A2 Tactical.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/M16A2 Tactical.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "Mauzer Round";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>M16A2 (Jungle-Style)",
                   DescriptionOverride = "American rifle that is a improvement of the M16A1. It's actually just a M16A4 receiver with M16A2 parts.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/M16A2 Jungle-Style.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/M16A2 Jungle-Style.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "Mauzer Round";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>M16A2 (Night Operations)",
                   DescriptionOverride = "American rifle that is a improvement of the M16A1. It's actually just a M16A4 receiver with M16A2 parts.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/M16A2 NightVision.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/M16A2 NightVision.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "Mauzer Round";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>M16A2 (Jungle-Sniper)",
                   DescriptionOverride = "American rifle that is a improvement of the M16A1. It's actually just a M16A4 receiver with M16A2 parts.",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/M16A2 Jungle-Sniper.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ghost Recon/M16A2 Jungle-Sniper.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "Mauzer Round";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>CMMG MX Rifle",
                   DescriptionOverride = "The gun from ArmA 3",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/CMMG MX.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MX/CMMG MX.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "6mm";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>CMMG MCX Carbine",
                   DescriptionOverride = "The gun from ArmA 3",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/CMMG MX.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MX/CMMG MCX.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "6mm";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>CMMG MX Squad Automatic Rifle (MCSAW)",
                   DescriptionOverride = "The gun from ArmA 3",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/CMMG MXSAW.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MX/CMMG MXSAW.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "6mm";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>CMMG MX Short-Barrelled Rifle",
                   DescriptionOverride = "The gun from ArmA 3",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/CMMG MXSBR.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MX/CMMG MXSBR.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "6mm";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Rifle"),
                 NameOverride = "<color=green>CMMG MX Short-Barrelled Rifle (Tactical)",
                   DescriptionOverride = "The gun from ArmA 3",
                 CategoryOverride = ModAPI.FindCategory("<color=orange>Quality Control-Tactical"),
                 ThumbnailOverride = ModAPI.LoadSprite("icon/CMMG MXSBR.png", 14f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MX/CMMG MXSBR Tactical.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "6mm";
                     customCartridge.Damage *= 25f;
                     customCartridge.Recoil *= 0.3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/rifle.mp3")
                     };
                 }
             }
             ); ;
        } 
    }
}
// Originally uploaded by 'Sturmgeschutz'. Do not reupload without their explicit permission.
